addControl();
setTimeout(getMessages, 3000);

// inputIdを受け取ってやる処理
let peer = new Peer();
let conn = "";
function getOutputPeer(){
	conn = peer.connect(samumoaKeyFormInput.value);
	conn.on("open", function(){
		conn.send(["connect", "接続できました。"]);
	});
}

// コントロールパネルを設置
function addControl(){
	let div = document.createElement("div");
	div.id = "samumoaControl";
	div.innerHTML = `
		<h2>SamuMoa</h2>
		<keyForm>
			<input id="samumoaKeyFormInput" placeholder="OBS上で取得したキーを入力してください。"></input>
			<button id="samumoaKeyFormButton">接続</button>
		</keyForm>
		<control>
			<button id="samumoaControlDown">↓</button>
			<button id="samumoaControlUp">↑</button>
			<button id="samumoaControlClose">×</button>
		</control>
		<description>
			<p>使い方は<a href="https://nekosogi.org/samuMoa" target="_blank">こちら</a>をご確認くださいませ。</p>
			<small>© 2021-2022 CUMBER SICK 9, Designed by Kahlua</small>
		</description>
	`;
	document.body.appendChild(div);
	
	samumoaKeyFormButton.addEventListener("click", getOutputPeer);
	samumoaControlDown.addEventListener("click", function(){ sendObs("down", "スクロールDOWN"); });
	samumoaControlUp.addEventListener("click", function(){ sendObs("up", "スクロールUP"); });
	samumoaControlClose.addEventListener("click", function(){ sendObs("close", "ウィンドウを閉じます"); });
}

// 
function getMessages(){
	let messages = document.querySelectorAll("ul#messages > li");
	for(const e of messages){
		let text = e.querySelector("div > div > div:nth-child(2) > a").innerHTML;
		let ul = e.querySelector("ul");
		let li = document.createElement("li");
		li.className = "samumoaSendButton";
		let button = document.createElement("button");
		button.innerText = "OBSに送信";
		button.addEventListener("click", function(){ sendObs("open", text); });
		li.appendChild(button);
		ul.appendChild(li);
	}
}

// 
function sendObs(cmd, text){
	console.log(text);
	conn.send([cmd, text]);
}